Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.manager.audit
Interface VariableInstanceLog

All Known Implementing Classes:
  VariableInstanceLog

    public interface VariableInstanceLog

Audit view of variables that keeps track of all changes of variable identified by given name/id. This means that variable log will contain both current and previous (if exists) value of the variable.

Method Summary
`Date` | `getDate()` Date when the variable was set (to current value)
`String` | `getExternalId()` External (optional) identifier associated with this process instance
`String` | `getOldValue()` Previous value of the variable (if any)
`String` | `getProcessId()` Process id of the definition
`Long` | `getProcessInstanceId()` Process instance identifier
`String` | `getValue()` Current value of the variable
`String` | `getVariableId()` Identifier of the variable aka variable name
`String` | `getVariableInstanceId()` Additional information in case variable is defined on composite node level to be able to distinguish it between top level and embedded level variables

Method Detail

### getProcessInstanceId

    Long getProcessInstanceId()

  Process instance identifier

  Returns:

### getProcessId

    String getProcessId()

  Process id of the definition

  Returns:

### getVariableInstanceId

    String getVariableInstanceId()

  Additional information in case variable is defined on composite node level to be able to distinguish it between top level and embedded level variables

  Returns:

### getVariableId

    String getVariableId()

  Identifier of the variable aka variable name

  Returns:

### getValue

    String getValue()

  Current value of the variable

  Returns:

### getOldValue

    String getOldValue()

  Previous value of the variable (if any)

  Returns:

### getDate

    Date getDate()

  Date when the variable was set (to current value)

  Returns:

### getExternalId

    String getExternalId()

  External (optional) identifier associated with this process instance

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.